=== debian/changelog ===
mikmatch (1.0.3-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:04:41 +0000

mikmatch (1.0.3-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:40 -0600

mikmatch (1.0.3-1) unstable; urgency=low

  * Team upload
  * New upstream release, compatible with OCaml 3.12.0
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 09:29:36 +0200

mikmatch (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #605635)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 22:22:54 +0100
