=== debian/control ===
Source: mikmatch
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.12),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  libpcre-ocaml-dev,
  camlp4, camlp4-extra,
  texlive-latex-base, texlive-latex-extra, 
  hevea, camlmix
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/micmatch.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mikmatch.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mikmatch.git

Package: libmikmatch-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: camlp4 extension for pattern matching with regexps
 Mikmatch provides enhanced pattern matching with regexps for OCaml.
 .
 The goal of Mikmatch is to make text-oriented programs even easier to write,
 read and run without losing the unique and powerful features of OCaml.
 Mikmatch provides a concise and highly readable syntax for regular
 expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
 .
 The implementation of Mikmatch consists essentially of:
  * a library which is loaded by the OCaml preprocessor (Camlp4) and
    defines sophisticated "macros", i.e. the modified syntax;
  * a traditional library (runtime) which is required by the programs that
    use the Mikmatch syntax;
  * a dedicated 'mikmatch' command which can be used as a replacement for
    'ocaml' in scripts or as an interactive toplevel. It performs automatically
    these steps: preprocessing, compilation and execution.

Package: libmikmatch-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, libtophide-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: camlp4 extension for pattern matching with regexps
 Mikmatch provides enhanced pattern matching with regexps for OCaml.
 .
 The goal of Mikmatch is to make text-oriented programs even easier to write,
 read and run without losing the unique and powerful features of OCaml.
 Mikmatch provides a concise and highly readable syntax for regular
 expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
 .
 The implementation of Mikmatch consists essentially of:
  * a library which is loaded by the OCaml preprocessor (Camlp4) and
    defines sophisticated "macros", i.e. the modified syntax;
  * a traditional library (runtime) which is required by the programs that
    use the Mikmatch syntax;
  * a dedicated 'mikmatch' command which can be used as a replacement for
    'ocaml' in scripts or as an interactive toplevel. It performs automatically
    these steps: preprocessing, compilation and execution.
 .
 This package contains the shared runtime libraries.
