## mikmatch 1.0.4

=== debian/changelog ===
mikmatch (1.0.4-1build2) quantal; urgency=low

  * No change rebuild for new pcre-ocaml ABI

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 15 May 2012 22:51:25 -0500

mikmatch (1.0.4-1build1) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 12:58:12 +0000

mikmatch (1.0.4-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 15:03:59 +0100
