=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
+Uploaders:
   Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
   ocaml-nox (>= 3.12),
@@ -11,9 +11,9 @@
   debhelper (>= 7.0.50~),
   libpcre-ocaml-dev,
   camlp4, camlp4-extra,
-  texlive-latex-base, texlive-latex-extra, 
+  texlive-latex-base, texlive-latex-extra,
   hevea, camlmix
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://martin.jambon.free.fr/micmatch.html
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mikmatch.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mikmatch.git
@@ -29,7 +29,7 @@
  The goal of Mikmatch is to make text-oriented programs even easier to write,
  read and run without losing the unique and powerful features of OCaml.
  Mikmatch provides a concise and highly readable syntax for regular
- expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
+ expressions, and integrates it into the syntax of OCaml thanks to Camlp4.
  .
  The implementation of Mikmatch consists essentially of:
   * a library which is loaded by the OCaml preprocessor (Camlp4) and
@@ -51,7 +51,7 @@
  The goal of Mikmatch is to make text-oriented programs even easier to write,
  read and run without losing the unique and powerful features of OCaml.
  Mikmatch provides a concise and highly readable syntax for regular
- expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
+ expressions, and integrates it into the syntax of OCaml thanks to Camlp4.
  .
  The implementation of Mikmatch consists essentially of:
   * a library which is loaded by the OCaml preprocessor (Camlp4) and
