=== debian/changelog ===
mikmatch (1.0.6-4) unstable; urgency=low

  * Team upload.
  * Add build-dependency on texlive-fonts-recommended (closes: #738386)

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Feb 2014 21:10:16 +0100

mikmatch (1.0.6-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 20:03:39 +0100

mikmatch (1.0.6-2) experimental; urgency=low

  * prepare for OCaml 4.00
    - remove 3.12 patch
    - add new patch for ocamldoc 4 compatibility

 -- Hendrik Tews <hendrik@askra.de>  Thu, 20 Jun 2013 09:56:10 +0200

mikmatch (1.0.6-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watchfile
  * new upstream version
  * bump debhelper compat level and standards version
  * add myself as uploader
  * update Vcs fields, homepage, package description and dependencies
  * update copyright
  * update existing makefile patch
    - rename and refresh
    - add meaningful description
    - don't install stray cmo's
    - build and install mikmatch toplevels
  * add new patch ocaml-3-12 for 3.12 compilation
  * fix rules to use native compilers and prepare ocamldoc subdir
  * install toplevels and add man pages for them
  * add README.Debian telling about the PCRE and Str version

 -- Hendrik Tews <hendrik@askra.de>  Tue, 11 Jun 2013 13:45:35 +0200
