=== debian/control ===
--- 
+++ 
@@ -2,28 +2,30 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
-  Sylvain Le Gall <gildor@debian.org>
+Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  ocaml-nox (>= 3.12),
-  ocaml-findlib,
+  ocaml-nox (>= 4),
+  ocaml-best-compilers,
+  ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
-  libpcre-ocaml-dev,
-  camlp4, camlp4-extra,
-  texlive-latex-base, texlive-latex-extra,
-  hevea, camlmix
-Standards-Version: 3.9.2
-Homepage: http://martin.jambon.free.fr/micmatch.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mikmatch.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mikmatch.git
+  debhelper (>= 9),
+  libpcre-ocaml-dev (>= 7.0.2-3~),
+  camlp4-extra,
+  texlive-latex-extra,
+  texlive-fonts-recommended,
+  hevea (>= 2.06-3~),
+  camlmix
+Standards-Version: 3.9.4
+Homepage: http://mjambon.com/micmatch.html
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mikmatch.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mikmatch.git
 
 Package: libmikmatch-ocaml-dev
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: camlp4 extension for pattern matching with regexps
+Description: camlp4 extension for pattern matching with regexps - development
  Mikmatch provides enhanced pattern matching with regexps for OCaml.
  .
  The goal of Mikmatch is to make text-oriented programs even easier to write,
@@ -39,13 +41,16 @@
   * a dedicated 'mikmatch' command which can be used as a replacement for
     'ocaml' in scripts or as an interactive toplevel. It performs automatically
     these steps: preprocessing, compilation and execution.
+ .
+ This package contains the development files needed for programming
+ with the library.
 
 Package: libmikmatch-ocaml
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}, libtophide-ocaml-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: camlp4 extension for pattern matching with regexps
+Description: camlp4 extension for pattern matching with regexps - runtime
  Mikmatch provides enhanced pattern matching with regexps for OCaml.
  .
  The goal of Mikmatch is to make text-oriented programs even easier to write,
