=== debian/changelog ===
mikmatch (1.0.7-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:39:40 -0600

mikmatch (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #733934).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 May 2014 20:50:54 +0200
