=== debian/watch ===
version=3
http://mjambon.com/releases/mikmatch \
.*/mikmatch/mikmatch[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
