=== debian/changelog ===
mikmatch (1.0.8-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:27:19 +0000

mikmatch (1.0.8-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Sep 2019 14:05:43 +0200

mikmatch (1.0.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - import fix for pcre 7.2.0 from upstream repository
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2016 14:00:22 +0200
