=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mikmatch
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 4),
@@ -15,10 +16,10 @@
   texlive-fonts-recommended,
   hevea (>= 2.06-3~),
   camlmix
-Standards-Version: 3.9.4
-Homepage: http://mjambon.com/micmatch.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mikmatch.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mikmatch.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/mjambon/mikmatch
+Vcs-Git: https://salsa.debian.org/ocaml-team/mikmatch.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/mikmatch
 
 Package: libmikmatch-ocaml-dev
 Architecture: any
