=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp
export DESTDIR

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF


%:
	dh $@ --with ocaml


.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) OCAMLC=ocamlc.opt OCAMLOPT=ocamlopt.opt all opt
else
	$(MAKE) all
endif 
	mkdir -p doc/mikmatch-ocamldoc
	$(MAKE) -C doc all


# there is also a failing test goal in pcre,
# waiting for upstream comments on it
# the test goal in str uses native compilation
# diable it too until discussed with upstream
# .PHONY: override_dh_auto_test
# override_dh_auto_test:
# 	$(MAKE) -C str test


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(MAKE) install 
	$(MAKE) install-str


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing


.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C doc clean
