## mikmatch 1.0.9

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,9 @@
 VERSION = $(shell ./VERSION)
 export VERSION
 
+install: OCAMLFIND_INSTFLAGS = -patch-version $(VERSION)
+export OCAMLFIND_INSTFLAGS
+
 # Only for developers; requires camlmix, hevea, pdflatex 
 # and maybe other things.
 archive:
