=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: mikmatch
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
+  debhelper-compat (= 13),
   ocaml-nox (>= 4),
   ocaml-best-compilers,
   ocaml-findlib (>= 1.4),
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
+  dh-ocaml,
   libpcre-ocaml-dev (>= 7.0.2-3~),
   camlp4-extra,
   texlive-latex-extra,
   texlive-fonts-recommended,
   hevea (>= 2.06-3~),
   camlmix
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/mjambon/mikmatch
 Vcs-Git: https://salsa.debian.org/ocaml-team/mikmatch.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/mikmatch
