=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	$(MAKE) OCAMLC=ocamlc.opt OCAMLOPT=ocamlopt.opt all opt
 else
 	$(MAKE) all
-endif 
+endif
 	mkdir -p doc/mikmatch-ocamldoc
 	$(MAKE) -C doc all
 
@@ -44,13 +44,8 @@
 override_dh_auto_install:
 	mkdir -p '$(DESTDIR)/usr/bin'
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	$(MAKE) install 
+	$(MAKE) install
 	$(MAKE) install-str
-
-
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing
 
 
 .PHONY: override_dh_auto_clean
